<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_32"
        android:layout_marginEnd="@dimen/dp_32"
        android:background="@drawable/bg_white_5dp">


        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="4dp"
            android:layout_height="@dimen/dp_18"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_24"
            android:background="@drawable/btn_green_stu_line_shape"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginEnd="@dimen/dp_16"
            android:text="确定退课吗？"
            android:textColor="@color/black_444"
            android:textSize="@dimen/dp_18"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/iv_icon"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/iv_icon"
            app:layout_constraintTop_toTopOf="@+id/iv_icon" />

        <TextView
            android:id="@+id/tv_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_22"
            android:lineSpacingExtra="10dp"
            android:text=""
            android:textColor="@color/black_444"
            android:textSize="@dimen/dp_16"
            app:layout_constraintEnd_toEndOf="@+id/tv_title"
            app:layout_constraintStart_toStartOf="@+id/iv_icon"
            app:layout_constraintTop_toBottomOf="@+id/iv_icon" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/dp_15"
            android:background="@color/white"
            android:overScrollMode="never"
            android:scrollbars="none"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_content"
            app:layout_goneMarginTop="@dimen/dp_15" />

        <View
            android:id="@+id/horizontal_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/dp_22"
            android:background="@color/divide_color"
            android:visibility="invisible"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/recyclerView" />

        <TextView
            android:id="@+id/btn_cancel"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_50"
            android:background="@drawable/btn_gray_start_bottom_shape"
            android:gravity="center"
            android:text="取消"
            android:textColor="@color/colorPrimaryStudent"
            android:textSize="@dimen/dp_14"
            app:layout_constraintEnd_toStartOf="@id/vertical_line"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/horizontal_line"
            app:layout_goneMarginTop="@dimen/dp_15" />

        <View
            android:id="@+id/vertical_line"
            android:layout_width="@dimen/dp_1"
            android:layout_height="@dimen/dp_50"
            android:background="@color/divide_color"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_commit"
            app:layout_constraintStart_toEndOf="@id/btn_cancel"
            app:layout_constraintTop_toTopOf="@id/btn_cancel" />

        <TextView
            android:id="@+id/btn_commit"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_50"
            android:background="@drawable/btn_green_end_bottom_shape"
            android:gravity="center"
            android:text="确定"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_14"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/vertical_line"
            app:layout_constraintTop_toBottomOf="@+id/horizontal_line"
            app:layout_goneMarginTop="@dimen/dp_15" />

        <TextView
            android:id="@+id/btn_cancel_match"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_50"
            android:background="@color/white"
            android:gravity="center"
            android:text="取消"
            android:textColor="@color/colorPrimaryStudent"
            android:textSize="@dimen/dp_14"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/horizontal_line"
            app:layout_goneMarginTop="@dimen/dp_15" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>